Get Vector Store
curl --request GET \
--url https://api.egp.scale.com/v5/vector-stores/{vector_store_name} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/vector-stores/{vector_store_name}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/vector-stores/{vector_store_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"embedding_dimensions": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"embedding_config": {
"type": "models_api",
"model_deployment_id": "<string>"
},
"indexed_metadata_fields": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Vector Stores
Get Vector Store
Retrieve detailed configuration and metadata for a specific vector store.
Returns the store’s embedding model, dimensions, indexed metadata field definitions, creation timestamp, and last update timestamp. Use this to verify store settings before performing operations or to display store information in your application.
GET
/
v5
/
vector-stores
/
{vector_store_name}
Get Vector Store
Authorizations
Headers
Path Parameters
The name of the vector store
Response
Successful Response
Response model for vector store operations.
The name of the vector store
Dimensionality of the embedding vectors
Timestamp of creation
Timestamp of last update
Embedding configuration identifying the model and its type. None for raw-embedding-only stores.
- EmbeddingConfigModelsAPI
- EmbeddingConfigBase
Show child attributes
Show child attributes
Dictionary mapping metadata field names to their types
Show child attributes
Show child attributes

